# class Byebug::UpCommand

Move the current frame up in the backtrace.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/up.rb, line 22
        def self.description
          <<-DESCRIPTION
            up[ count]

            #{short_description}

            Use the "bt" command to find out where you want to go.
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/up.rb, line 18
    def self.regexp
      /^\s* up (?:\s+(\S+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/up.rb, line 32
    def self.short_description
      "Moves to a higher frame in the stack trace"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/up.rb, line 36
    def execute
      pos, err = parse_steps(@match[1], "Up")
      return errmsg(err) unless pos

      jump_frames(pos)

      ListCommand.new(processor).execute if Setting[:autolist]
    end